VERIFIED SOLUTION i

How to understand EngageOne Content Author compatibility with later versions of EngageOne Designer

Product Feature: Installation / Upgrade

 
There is no weekly maintenance release of EngageOne Content Author, these are only released when required.

If your version of EngageOne Content Author is the same or slightly earlier than the version of EngageOne Designer in use, then all functions should be supported, if the version of EngageOne Content Author is considerably earlier than the version of EngageOne Designer, using the preview function (which deploys a HIP file from Designer) may be problematic, as the HIP may contain instruction that the earlier version of EngageOne Content Author does not understand.

All HIM files generated by the earlier version should be valid for use with the later version of EngageOne Designer.
UPDATED:  September 14, 2017